package com.vote.system.service;

import com.vote.system.domain.VoteRegistrations;
import com.vote.system.domain.dto.VoteEvaluationTasksDto;
import com.vote.system.domain.vo.VoteEventOverviewVo;
import com.vote.system.domain.vo.VoteEventRegistrationsVo;
import com.vote.system.domain.vo.VoteEventSubmissionVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @CreateTime: 2024/9/9 下午5:25
 * @Description:
 * @Email: f2965573933@163.com
 * @Author: FanJiaBao
 */
public interface VoteDataStatisService {

    VoteEventRegistrationsVo getList(Long eventId);

    VoteEventSubmissionVo getEventSubmission(Long eventId);

    VoteEventOverviewVo getEventCategories(Long eventId);

    void getExport(HttpServletResponse response, Long eventId);

    void getWorksExport(HttpServletResponse response, Long eventId);

    void getProgressExport(HttpServletResponse response, VoteEvaluationTasksDto voteEvaluationTasksDto);

    void getPromotedAwardExport(HttpServletResponse response, VoteEvaluationTasksDto voteEvaluationTasksDto);
}
